Public Member Functions

# wxIconizeEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxIconizeEvent:
[legend]

## Detailed Description

An event being sent when the frame is iconized (minimized) or restored.

Currently only wxMSW and wxGTK generate such events.

Availability: only available for the wxMSW, wxGTK ports.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxIconizeEvent& event)

Event macros:

- EVT_ICONIZE(func):
  Process a `wxEVT_ICONIZE` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling, wxTopLevelWindow::Iconize, wxTopLevelWindow::IsIconized

## Public Member Functions
| wxIconizeEvent (int id=0, bool iconized=true)
| Constructor.
bool | IsIconized () const
| Returns true if the frame has been iconized, false if it has been restored.
bool | Iconized () const

List of all members.

## Constructor & Destructor Documentation

wxIconizeEvent::wxIconizeEvent | ( | int | id = `0`,
|  | bool | iconized = `true` |
| ) |  |  |

Constructor.

## Member Function Documentation

bool wxIconizeEvent::Iconized | ( |  | ) | const

Deprecated:
  This function is deprecated in favour of IsIconized().

bool wxIconizeEvent::IsIconized | ( |  | ) | const

Returns true if the frame has been iconized, false if it has been restored.

|  | [ top ]